/* Jumpgate
 * Jumpgate is a TCP connection forwarder that provides many enhancements and 
 * improvements over the existing programs that do the same thing.  Only 
 * tested on OpenBSD 2.7, but should run without problems on any Unix-like
 * system.  If you furtherly improve it, please send me the diffs.  As always,
 * published under a BSD style license, see the included LICENSE file.
 *
 * By Patroklos Argyroudis <argp@otenet.gr>.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdarg.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/wait.h>
#include <errno.h>

#define VERSION		"0.5"

#define MAXLINE		81
#define SMALLBUFF	256
#define BUFFSIZE	4096
#define BACKLOG		1024

void	usage(char *name);
void	help(char *name);
void	xprintf(char *msg, ...);
void	chld_reap(int signo);
int	daemonize(const char *path);
void	query(int fd);
void	jumpgate(int fdc, int port, struct hostent *h);

/* EOF */
